# rn

A Go implementation of [Right now](https://www.accentgrave.net/rightnow/).

<p align="center">
  <img src="./rn.png" />
</p>

## Install

### Linux

```
curl https://git.coopcloud.tech/decentral1se/rn/raw/branch/main/dist/rn_linux_amd64_v1/rn -o rn
chmod +x rn
```

### MacOS

```
curl https://git.coopcloud.tech/decentral1se/rn/raw/branch/main/dist/rn_darwin_amd64_v1/rn -o rn
chmod +x rn
```

## Usage

Publish what you're up to *right now*.

```
rn
```

A git repository is created at `~/.rn` and each message is stored in a Git
commit. Markdown is supported 😆 If you add a remote to the Git repository in
`~/.rn`, it will automagically push changes there. That's a simple way to back
up your messages. It's easy to check the status of your repository: `git -C
~/.rn log`.

## Publish

If you want to publish your log online, pass `-p`. It uses a
[`scp`](https://linux.die.net/man/1/scp)-like interface. Here's how I publish
to [vvvvvvaria.org/~decentral1se/rn/](https://vvvvvvaria.org/~decentral1se/rn/).

```
rn -p varia.zone:public_html/rn
```

You'll need to configure your SSH client beforehand.

```
eval $(ssh-agent -s)
ssh-add ~/.ssh/<ssh-secret-key-part>
ssh-add -L # see loaded keys
```

And have a matching `~/.ssh/config` entry.

```ssh
Host varia.zone
  Hostname varia.zone
  User decentral1se
  Port 22
  IdentityFile ~/.ssh/<ssh-secret-key-part>
```

A simple Nginx configuration on the server-side might be the following.

```conf
server {
  listen 80 default_server;
  listen [::]:80 default_server;
  root /var/www/html;
  index index.html;
  server_name _;
  location / {
    try_files $uri $uri/ =404;
  }
}
```

🤓

## License

<a href="https://git.coopcloud.tech/decentral1se/rn/src/branch/main/LICENSE">
  <img src="https://www.gnu.org/graphics/gplv3-with-text-136x68.png" />
</a>

## ACK

- [accentgrave.net/rightnow](https://www.accentgrave.net/rightnow/)
- [`jbidoret/rightnow`](https://github.com/jbidoret/rightnow)
